# Field class

Document field

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: true, createToJson: true, explicitToJson: false)

## Constructors

Field({required FieldType type, OcrResult? value, ValidationStatus? validationStatus})
Field.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
type ↔ FieldType
  The type of the field.
  getter/setter pair
validationStatus ↔ ValidationStatus?
  Field validation status. Applicable only to fields that support some kind of validation.
  getter/setter pair
value ↔ OcrResult?
  Optional value of the field
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited